//
//  MainViewController.h
//  MusicLibraryClient
//
//  Created by Chris Adamson on 5/5/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "FlipsideViewController.h"
#import <MediaPlayer/MediaPlayer.h>

@interface MainViewController : UIViewController <FlipsideViewControllerDelegate> {

	UIImage *emptyAlbumImage;
	NSTimer *currentTimeUpdateTimer;
	
//START:code.MainViewController.guiheaders
	UILabel *currentTimeLabel;
	UISlider *currentTimeSlider;
	UIButton *playPauseButton;
	UILabel *currentItemDurationLabel;
	UILabel *currentItemTitleLabel;
	UILabel *currentItemArtistLabel;
	UILabel *currentItemAlbumLabel;
	UIImageView *currentItemArtworkView;
//END:code.MainViewController.guiheaders

	BOOL userIsScrubbing;
	
}

@property (nonatomic, retain) IBOutlet UIButton *playPauseButton;
@property (nonatomic, retain) IBOutlet UILabel *currentTimeLabel;
@property (nonatomic, retain) IBOutlet UISlider *currentTimeSlider;
@property (nonatomic, retain) IBOutlet UILabel *currentItemDurationLabel;
@property (nonatomic, retain) IBOutlet UILabel *currentItemTitleLabel;
@property (nonatomic, retain) IBOutlet UILabel *currentItemArtistLabel;
@property (nonatomic, retain) IBOutlet UILabel *currentItemAlbumLabel;
@property (nonatomic, retain) IBOutlet UIImageView *currentItemArtworkView;

- (IBAction) handlePlayPauseTapped;
- (IBAction) handleScrubberTouchDown;
- (IBAction) handleScrubberTouchUp;
- (IBAction) handleScrub;


// provided by Xcode's utility application template
- (IBAction)showInfo;

@end
